%define upstream_name       Logfile-Rotate
%define upstream_version    1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
Summary:	Perl module to rotate logfiles
License:	GPL
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/Logfile/%{upstream_name}-%{upstream_version}.tar.gz
Buildarch:	noarch

%description
Perl module to rotate logfiles.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files 
%doc MANIFEST 
%{perl_vendorlib}/Logfile/Rotate.pm
%{_mandir}/*/*





%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.40.0-11.mga10
+ Revision: 2199559
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.40.0-10.mga9
+ Revision: 1804302
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-9.mga8
+ Revision: 1495458
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-8.mga7
+ Revision: 1268993
- Mageia 7 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 932779
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 743536
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 685276
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 512692
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 369240
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 12621
- imported package perl-Logfile-Rotate


* Thu Sep 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 437371
- use new %%perl_version macro

* Wed Sep 09 2009 Anne Nicolas <anne.nicolas@mandriva.com> 1.04-1mdv2010.0
+ Revision: 435147
- fix description
- first release (Vigilo deps)
- import perl-Logfile-Rotate

